www-builds mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Gavin McDonald <ga...@16degrees.com.au>
Subject Re: Maven 3.5 and NoSuchFieldError: DEFAULT_USER_SETTINGS_FILE
Date Thu, 15 Jun 2017 01:28:53 GMT

> On 15 Jun 2017, at 11:19 am, Olivier Lamy <olamy@apache.org> wrote:
> 
> You only need to update the Maven integration plugin.
> No need to upgrade core Jenkins

Oh I see.

This page confuses me:-

https://wiki.jenkins.io/display/JENKINS/Maven+Project+Plugin <https://wiki.jenkins.io/display/JENKINS/Maven+Project+Plugin>


says latest version is 2.16 which was released in February, that can’t be right , right?

Gav…

> 
> On 15 June 2017 at 11:16, Gavin McDonald <gavin@16degrees.com.au> wrote:
> 
>> 
>>> On 15 Jun 2017, at 11:05 am, Olivier Lamy <olamy@apache.org> wrote:
>>> 
>>> Hi Gav,
>>> Sorry I missed to communicate but yes the release has been done since
>> last
>>> week :-)
>>> So you can upgrade the plugin in the ASF Jenkins.
>> 
>> Release version?
>> 
>> We only use Jenkins  LTS releases but the way
>> 
>> I read all the release notes and I dont see a mention of Maven 3.5.0
>> 
>> Thanks
>> 
>> Gav...
>> 
>>> Cheers
>>> Olivier
>>> 
>>> 
>>> On 15 June 2017 at 10:36, Gavin McDonald <gavin@16degrees.com.au> wrote:
>>> 
>>>> 
>>>>> On 2 Jun 2017, at 6:16 pm, Olivier Lamy <olamy@apache.org> wrote:
>>>>> 
>>>>> Jenkins folks are aware of this issue
>>>>> We will push a release with a fix early next week
>>>> 
>>>> That was last week, we are now at late this week. In the meantime Infra
>> is
>>>> fielding
>>>> quite a few enquiries and Jira tickets about this issue.
>>>> 
>>>> Do we have any more news on a release for the fix?
>>>> 
>>>> Note that the fix must either be back ported to current LTS or next LTS
>>>> released with it
>>>> in.
>>>> 
>>>> Thanks Muchly!
>>>> 
>>>> Gav…
>>>> 
>>>>> 
>>>>> On Fri, 2 Jun 2017 at 6:13 pm, Gavin McDonald <gavin@16degrees.com.au>
>>>>> wrote:
>>>>> 
>>>>>> As mentioned on ticket, we try and ensure ‘latest’ means latest,
so
>> with
>>>>>> the release of Maven 3.5.0 we
>>>>>> made sure that was available for testing.
>>>>>> 
>>>>>> Please move your build config away from ‘latest’ to 3.3.9 or
whatever
>>>>>> version you want if you wish to
>>>>>> remain stable and not be surprised when ‘latest’ changes.
>>>>>> 
>>>>>> I imagine the 3.5.0 Jenkins bug will be fixed soon enough, and we
are
>>>> due
>>>>>> to upgrade our Jenkins soon
>>>>>> so this will likely be temporary.
>>>>>> 
>>>>>> But hey! If we never made it available, we would be none the wiser
and
>>>> not
>>>>>> having this conversation :)
>>>>>> 
>>>>>> Gav…
>>>>>> 
>>>>>>> On 2 Jun 2017, at 5:22 pm, Dennis Kieselhorst <deki@apache.org>
>> wrote:
>>>>>>> 
>>>>>>> Hi,
>>>>>>> 
>>>>>>> builds with Maven (latest) are now failing with NoSuchFieldError:
>>>>>> DEFAULT_USER_SETTINGS_FILE.
>>>>>>> 
>>>>>>> Seems that Maven was updated to 3.5 although the installed Jenkins
>>>>>> version doesn't support it.
>>>>>>> 
>>>>>>> Bug report:
>>>>>>> https://issues.jenkins-ci.org/browse/JENKINS-43446
>>>>>>> 
>>>>>>> Sample for failing builds:
>>>>>>> 
>>>>>> https://builds.apache.org/view/M-R/view/MyFaces/job/myfaces-
>>>> current23/85/
>>>>>>> https://builds.apache.org/view/M-R/view/MyFaces/job/Tobago Trunk
>>>>>> (deploy)/339/
>>>>>>> 
>>>>>>> Regards
>>>>>>> Dennis
>>>>>> 
>>>>>> --
>>>>> Olivier Lamy
>>>>> http://twitter.com/olamy | http://linkedin.com/in/olamy
>>>> 
>>>> 
>>> 
>>> 
>>> --
>>> Olivier Lamy
>>> http://twitter.com/olamy | http://linkedin.com/in/olamy
>> 
>> 
> 
> 
> -- 
> Olivier Lamy
> http://twitter.com/olamy | http://linkedin.com/in/olamy


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message